﻿@model IEnumerable<ClinicaHumaita.Models.Person>

@{
    ViewData["Title"] = "Pessoas";
}

<h1>@ViewData["Title"]</h1>

<p>
    <a class="btn btn-success" asp-action="Create">Adicionar Pessoa</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.email)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.id)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.email)
            </td>
            <td>
                @Html.ActionLink("Editar", "Edit", new {  id=item.id  }, new { @class = "btn btn-primary" }) |
                @Html.ActionLink("Detalhes", "Detail", new { id=item.id }, new { @class = "btn btn-warning" }) |
                @Html.ActionLink("Remover", "Remove", new {  id=item.id  }, new { @class = "btn btn-danger" })
            </td>
        </tr>
}
    </tbody>
</table>
